import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (p, l, i, t) => {
  for (var e = t > 1 ? void 0 : t ? u(l, i) : l, s = p.length - 1, o; s >= 0; s--)
    (o = p[s]) && (e = (t ? o(l, i, e) : o(e)) || e);
  return t && e && m(l, i, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--helpCircleFilled", this.class = "c-pieIcon c-pieIcon--helpCircleFilled", this.name = "IconHelpCircleFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--helpCircleFilled"><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219Zm2.047 5.031a2.048 2.048 0 0 1-1.6 1.908l-.088.717h-.875l-.096-1.426c.822-.096 1.434-.49 1.434-1.138a.761.761 0 0 0-.874-.744 1.26 1.26 0 0 0-.876.316L6.32 5.12A2.24 2.24 0 0 1 8 4.5a1.811 1.811 0 0 1 2.047 1.75ZM8.77 10.625a.77.77 0 1 1-.77-.77.779.779 0 0 1 .77.77Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  f("icon-help-circle-filled")
], r);
export {
  r as IconHelpCircleFilled
};
